import { QuizQuestionPage } from "@frontend/squzanswerer";
import HelpQuestions from "../../helpQuestions";
import SettingPageOptions from "./SettingPageOptions";

interface Props {
  switchState: string;
  question: QuizQuestionPage;
}

export default function SwitchPageOptions({ switchState = "setting", question }: Props) {
  switch (switchState) {
    case "setting":
      return <SettingPageOptions question={question} />;
    case "help":
      return (
        <HelpQuestions
          questionId={question.id}
          hintText={question.content.hint.text}
          hintVideo={question.content.hint.video}
        />
      );
    default:
      return <></>;
  }
}
